## maep 1.0

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = maep
VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
APP = maep
MAEMO_VERSION_MAJOR = 
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share

all:

clean:

install-debian:
	echo "No debian specific installs"

install-maemo:
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 $(APP).$$s.png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png

install: install-debian

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of Maep.
#
# Maep is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maep is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maep.  If not, see <http://www.gnu.org/licenses/>.
#

APP = maep
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share
EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gps.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -lgobject-2.0 -lglib-2.0   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f maep *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c

=== debian/changelog ===
maep (1.0) unstable; urgency=low

  * Initial release based on gpxview 0.9.0

 -- Till Harbaum <till@harbaum.org>  Mon, 07 Dec 2009 18:25:10 +0100

=== debian/control ===
Source: maep
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: maep
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple tile map
 Maep is a tile based map utility for services openstreetmap google maps.
# XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: Maep
# No icon

## maep 1.0.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.0.1$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = ${prefix}/share
 datadir = ${prefix}/share
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.0$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.0.1$${VERSION_SUFFIX}
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
maep (1.0.1) unstable; urgency=low

  * Keep map centered on configure, no need for app to catch event anymore
  * Added Public Transport map from öpnvkarte.de
	
 -- Till Harbaum <till@harbaum.org>  Fri, 11 Dec 2009 11:05:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Simple tile map
- Maep is a tile based map utility for services openstreetmap google maps.
-# XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
+ Maep is a tile based map utility for services like openstreetmap, google maps
+ and virtual earth. This is the same map renderer that's also being used by
+ GPXView and OSM2Go. Maep is meant to easily be included into other programs
+ and to become a universal map widget for the Maemo5 platform.
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1150
 XB-Maemo-Display-Name: Maep
 # No icon

## maep 1.1

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = maep
-MAEMO_VERSION_MAJOR = 
+MAEMO_VERSION_MAJOR = @MAEMO_VERSION_MAJOR@
 prefix = /usr
-datarootdir = ${prefix}/share
-datadir = ${prefix}/share
+datarootdir = /opt
+datadir = /opt
 
 all:
 
@@ -20,7 +20,10 @@
 	done
 	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
 	install -m 644 $(APP).64.png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
+	install -d $(DESTDIR)$(datadir)/$(APP)
+	install diskcache_check.sh $(DESTDIR)$(datadir)/$(APP)
 
-install: install-debian
+install: install-maemo
+	install -d $(DESTDIR)$(datadir)/$(APP)
+	install -m 644 COPYING *.png $(DESTDIR)$(datadir)/$(APP)
 
-

=== src/Makefile ===
#
# Copyright (C) 2009-2010 Till Harbaum <till@harbaum.org>.
#
# This file is part of Maep.
#
# Maep is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maep is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maep.  If not, see <http://www.gnu.org/licenses/>.
#

APP = maep
prefix = /usr
datarootdir = /opt
datadir = /opt
EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f maep *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

about.o: config.h misc.h icon.h about.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
gps.o: gps.h track.h osm-gps-map.h config.h
icon.o: icon.h misc.h
main.o: config.h menu.h track.h osm-gps-map.h osm-gps-map-osd-classic.h gps.h
menu.o: config.h about.h track.h osm-gps-map.h
misc.o: config.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
track.o: config.h track.h osm-gps-map.h converter.h misc.h

=== debian/changelog ===
maep (1.1) unstable; urgency=low

  * Added application menu
  * Added about box
  * Added /opt-ified icon processing
  * Added browser interface
  * Added track import/export/capture
  * Enabled auto /opt-ification for binary/app icons/...
  * Disable screen saver over ~3kph
  * Moved tile cache to /home/user/MyDocs/.maps on fremantle
	
 -- Till Harbaum <till@harbaum.org>  Mon, 28 Dec 2009 10:34:22 +0100

maep (1.0.2) unstable; urgency=low

  * Fixed GPS disable on diablo/chinook
  * Optimized map center handling
	
 -- Till Harbaum <till@harbaum.org>  Thu, 24 Dec 2009 20:38:43 +0100

=== debian/control ===
Source: maep
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl3-openssl-dev
Standards-Version: 3.7.2

Package: maep
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple tile map
 Maep is a tile based map utility for services like openstreetmap, google maps
 and virtual earth. This is the same map renderer that's also being used by
 GPXView and OSM2Go. Maep is meant to easily be included into other programs
 and to become a universal map widget for the Maemo5 platform.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1150
XB-Maemo-Display-Name: Maep
# Maemo icon maep.48.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAthSURBVGiB7VppcFvVFf7ek/S0S5ZkWbJl
 WZaXxHZix2sSE5yYNiE4kIaEmiyE4HRooEO6zUBTpqWjATKdwBQmDG0zhBIo
 LWQI0AKhOGSF0CSExHGT2MG75SWRJVuy9v29/kj9YlmyrCzAn36/dM8995zz
 vfveuefeK+D/+G5B3CpDTU0mAUOkbeHzJdUUT6wXCKRagUCmZAD4vC673++2
 BILewYDPc8ZiGX/l2DFT4Fb4vSkCGzduzxSLVdsyNHmrjMZqA18gJRgaiDI0
 vNExeCI2MFGAz6RDxFGBYThgGMDnczL9/WfNNmvfB/bA2I4D7//myrdKoLHR
 pNQV5P2zovie2/kCGeFyjsFMn0BP+DBs4a/ho8fAgJ7iiISQUEHJKYIe30MW
 sQh8UomA38lcvNh8cMTSvf7AAZP9GyXQ2GiiMjT6XZXz73pIKtKQnb1fgsoV
 wVBZipf234ZoNHgdjkkskD8BTm8OdBnz4XKNRNvbmv/K0MOP7ttnCqVqh5Oq
 4oYNzxRWzW/oqqxoWGiju4jzgY9QefcaKHRaECSJ873vIRTxpEwAYGAsrMaC
 5T+AzdGO8SEXOatweQXNSH4qlxne7+09mtJspESgqen5lXX1645naIzC5tGn
 cczxByg0ehRk1bM6obAHg6NnroPAVRJzDCuh1GuQXZ2FnksnoBCUCpSqvJ/I
 pFmt3d2HOm+awI8f2fn40mWb90DAkPssW9EfOAEACIRcqCp8gNVTSnPR0v1W
 3LufDC7vZRTpV0DIlwMAskoMcPp6ELSJyOycheukUp23q7P5xA0TaGp6fuXS
 OzfvGWeGsNeyBY7IANsXDLuhVcyBQmoAAFBcEcIRLy6P/SdlAgBAEASM2kVs
 W5mthkAbxFCrBXr9omUigbKlp2f6mZiWwIYNzxTWLVn7Ofgg91q2wBsdi9Ox
 OC5iXl4jSOKqmSxVOdoHPr6ub2HM1Yvy/LXgcihWJpSJIdWBsLb7CZVqdiOf
 Uu81mxN/EwkJNDaaqJr5DZ0ZmUbRuyNb4QgPJFJDIOSCVKSBRlFy1RjJg1yS
 jY7B5pQJROkwKK4I2emVMXKhTAx/dBi0I4vkC2UPhoLZL9psx6JTx5OJjGoy
 9buMeZVpB0a3wxJsTxpA/8jJmHZBZj1LKFWc7XoT4Yg/Tl64sAQhaSu02oo0
 g1G3K9HYOAKNjSZlRcXyhwa959Du+XhG55q04jhZWe59cbIsZRlkosyENvwh
 Jy4N/CthX+26OtjGLiAvb/mm2lqTckYCen3h23K5lvx8/KUZgweA2dnL42TF
 OQ3gcUUxsjvmbcP9i1+FVKhNaMdsOzWtD/1CHkRiDUeVnv/21L4YAhs3bs+s
 rGpY1jl+DJeD52cMPkM+C2kSfZycxxWhOKeBbXM4fGSkFUEu1mHt4t0JSYTC
 vmn9FC8ug81xGrl5dy2rq9seM40xBCQS1TaBQEa0+P8+Y/AAkJ42e9q+ya+R
 Wl4AkryaL+QSPdbVvwaCiJ38HHVNUl/6GgkoSkZQIuW2aQlotHmr3AE7hgOt
 KRFQSfOm7dMoStiPOUMe+53IRFngcYRsm0/JUJb3w6S+SpaUwu8fg1xmXDVZ
 zp340dRkEuTnVxu6gsdAkARW176MLGUZzNYvIeCngc8VY+9nmxGZVLDp1VVJ
 nZbl3oeDjnboVPNi5C7fFYQiXrZdU7gJfJ4kqS0OlwNvpANqdZWhvt4kmNhP
 sDNAEGlb+AIZ0e0/gkUlj8GovR18SoZZ2cuQo66BRlGC75f/mjUopOTQKuYm
 dVqc0wAhJYduSo632C/G2KkoWJ/UzgQ0RUJQlIyIMGlbJmTsDAhE0mqGAfyk
 HdWzNiU0MDd3NbyBMbSZP8LSyt/GvcdTweOKcP/iv0Au1sXIHR4z+3tx6S9A
 ccUpEcgtN+BSH0DxJNVxBPiUWE8zNCrnPAiS4Ca2AGBB0cNYUPRwSg4BIF1e
 ECfzBmwArqbgubmrU7alylYjSofA4YrY1HdtBgQSrSc4hqKc+Lx+q1FmbESB
 bumMmWcqOFwO/L5RUDwJm4evERDKlc5xGxRIvNDcSiSalVQRCjsYLk/Grsgs
 AYZmQIcJBjewTz5+cSdae94BQZCoLHwAVQUPgM+T3nCQycAwDBjmWpv9Cn1+
 l10kUCQNnqajaP7qKXx24UXYnJ2I0mEcPf88TnfsQSjiRTDsxsn2Xdj9SQO6
 hg9/IwS4PAURDLrY0pqdAb/PbZFI0ovoSBQkN/E2wRMYQdvARwCAM51vgMvh
 x6wLEwiGPWjtfQe5mtq4muhm4PM5QFHpCIU8lgkZOwPBoHeQAAfOEdu0BgSU
 nC0JACQMfgID1i+x59M1LOFbgcOnXgZoDiJhz+CEjCUQ8HvO0Aww0mFOPBoA
 xRUjS1meskO334Lmr55Cu3n/jcbMYtB2BleGRsAwQDjsZk8PWAKDnPFXfD4n
 4xtKfuI3x3BPnGymBS1Cp3zMkxBROoSDLc9A6l6CUNjFWCj3KxN9rOdjr5sC
 fX1nzRnyItCRuJ0bi2L9Coj41/YVmcoyPLbyM+Rqbkuor1WUoCTn7psicOrS
 bjg8g5C46mC1nRnsn3SuGvPobLa+D0QiFXpPX5jWGIfDx7z/VY5ioRqral8A
 nyeFgJLH6fJ5UtxbuxNcDv+Ggx919eB0xx6IfPNARhRwO8z/mNwfQ8DjGtvh
 97sYZ4cXyTA3dzUylaVYu/hViAXpCEcD6Lp8JE6vetYmiIVqtt1u3o99x7fg
 +MWdCIScMwYfCDnxyeknQTMRKOxrEQy7mVDQvmOyTky+vHTpiEeXXXZbUeHy
 fIu9DcpsTULDfJ4UpcY1EFJpV42QXCgkBgzbWxGOXN1ZyURZWFHzLDgkD8DV
 jfuhc9vh9A5jeKwV5/veBc1EoUkrZnUmwzr+NT489Tiszg4I/aVQW34Oc9+H
 B0+d3PrnyXpxVdvQQPf6gvwRq+tKmIMFMz4kFrOz78Qs3VL0Xvkc/pADRm1d
 zBrQazkeox8Me/Dvtj+ipestFOesgF5dBZqO4or9ArovH8G4d4jVVVu2wue3
 0PbRnri6O+HKu2Hj7tcWLmzabAmfRMXqutRZJMGeT1fD7u677nEyZwO0gyZ0
 dr2x59QXj/xoan/C/BcODj9qNreMK+hy9H6V/FwoVfhDjuseI/AXI2P4SYza
 zzndjiuPJtJJSGDfPlOo49Kn810ua8TXLoV92HrdzqeCSwquTz+iQqb5Ofjd
 1shl88c1bW2J7wymXYH273+q61zru2t4PDHTtd/K3CwJipd6TcSNqKDrfwFM
 QMT09b23prX12a7pdJOeTnd2HOqUynReo2HRsrEOP+END0OZrU42ZFq0D+yH
 xz/zQxAEiqHv+xPgUzE9nW/+6uzpJ15Ppj/j/UDH180nBCJlizp9diPpziL7
 O09DN8eQeuQTdoYOwOkdTqojdzZAN/gcgl5XtKvzb/fOFDyQ4g1Nd+ehTpFQ
 vZfPlz+oFNYI2o60IhAZQ3pO4nUiEbouH502Cwn9pdANP4M0+zrY7edd/V37
 5p1r+d3JhMo3QgAAenuP2o252S8ODfdmZ6jLy0hPLnn+0En4g3ao9GqQZPKC
 rm/kC9ic1+4pCJAQ+8uhtf4SGdafIeIi6L7e9163DLUuuXDh6elr+im4oWvW
 2uUmpVaS/3Ze/l3LKEpG+LxjcIc7oJ4lhGGeAUqdGpwpm6LDLb9HW/cRCIOz
 IXfdAZF7Ebi0AsGQmxk0Nx8ctfasb2v7hq9Zp6KubnumRKrcJpMbV2m0VQYe
 T0YwDBClo/B5RxEMOxiGBrhcBcGn0sGAA4ZmEAy6GKvtrNnp6P8g6LfvOHv2
 W77oToT6epOA4KRtoXiSapIr0vN4Ei2PK1cCQCDotIeCHkso7BkMh9xnKK77
 lv3V4P/4rvFfKfVgw3PUirkAAAAASUVORK5CYII=

## maep 1.1.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.0.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== debian/changelog ===
maep (1.1.1) unstable; urgency=low

  * Fixed missing browser dependency
  * manually optified executable

 -- Till Harbaum <till@harbaum.org>  Sat, 09 Jan 2010 20:27:44 +0100

## maep 1.1.2

=== debian/changelog ===
maep (1.1.2) unstable; urgency=low

  * Fixed opt symlink

 -- Till Harbaum <till@harbaum.org>  Sun, 10 Jan 2010 08:07:44 +0100

## maep 1.1.3

=== gpsemu/Makefile ===
all: gpsemu

gpsemu: gpsemu.c
	gcc -DAPP=\"gpsemu\" `pkg-config --cflags --libs gtk+-2.0 gthread-2.0` -o $@ $<

=== src/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
 VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
+MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
 
@@ -42,7 +43,15 @@
 
 install:
 	install -d $(DESTDIR)$(prefix)$(bindir)
-	install $(APP) $(DESTDIR)$(prefix)$(bindir)
+	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
+		echo "Optifying binary"; \
+		install -d $(DESTDIR)$(datadir)/$(APP); \
+		install $(APP) $(DESTDIR)$(datadir)/$(APP).bin; \
+		ln -s $(DESTDIR)$(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
+	else \
+		echo "Not Optifying binary"; \
+		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
+	fi
 
 clean:
 	rm -f maep *.o *~ \#*\#

=== debian/changelog ===
maep (1.1.3) unstable; urgency=low

  * Fixed again

 -- Till Harbaum <till@harbaum.org>  Sun, 10 Jan 2010 08:56:10 +0100

## maep 1.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 APP = maep
-MAEMO_VERSION_MAJOR = @MAEMO_VERSION_MAJOR@
+MAEMO_VERSION_MAJOR = 5
 prefix = /usr
 datarootdir = /opt
 datadir = /opt

=== src/Makefile ===
--- 
+++ 
@@ -22,12 +22,12 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
 
-OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o $(EXTRA_OBJS) 
+OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
 CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
@@ -46,8 +46,8 @@
 	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
 		echo "Optifying binary"; \
 		install -d $(DESTDIR)$(datadir)/$(APP); \
-		install $(APP) $(DESTDIR)$(datadir)/$(APP).bin; \
-		ln -s $(DESTDIR)$(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
+		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
+		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
 	else \
 		echo "Not Optifying binary"; \
 		install $(APP) $(DESTDIR)$(prefix)$(bindir); \

=== debian/changelog ===
maep (1.2) unstable; urgency=low

  * Places search

 -- Till Harbaum <till@harbaum.org>  Mon, 11 Jan 2010 21:47:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/navigation
 Priority: extra
 Maintainer: Till Harbaum <Till@Harbaum.org>
-Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl3-openssl-dev
+Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl3-openssl-dev, tablet-browser-interface-dev
 Standards-Version: 3.7.2
 
 Package: maep

## maep 1.3

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.2$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
@@ -30,7 +30,7 @@
 OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
+CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
 LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   
 
 all: $(APP)

=== debian/changelog ===
maep (1.3) unstable; urgency=low

  * Display wikipedia links
  * Major internal changes in osm-gps-map
  * Small usability updates on search
	
 -- Till Harbaum <till@harbaum.org>  Wed, 13 Jan 2010 18:47:21 +0100

=== debian/control ===
Source: maep
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl4-openssl-dev | libcurl3-openssl-dev, tablet-browser-interface-dev
Standards-Version: 3.7.2

Package: maep
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple tile map
 Maep is a tile based map utility for services like openstreetmap, google maps
 and virtual earth. This is the same map renderer that's also being used by
 GPXView and OSM2Go. Maep is meant to easily be included into other programs
 and to become a universal map widget for the Maemo5 platform.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1150
XB-Maemo-Display-Name: Maep
# Maemo icon maep.48.png
XB-Maemo-Icon-26:

## maep 1.3.1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.1$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.3$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.1$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin

=== debian/changelog ===
maep (1.3.1) unstable; urgency=low

  * Inclusion of altitude from GPS into track
  * Closed icon memory leak
  * Allow cancellation of search
	
 -- Till Harbaum <till@harbaum.org>  Sun, 24 Jan 2010 20:47:58 +0100

=== debian/control ===
--- 
+++ 
@@ -17,4 +17,71 @@
 XB-Maemo-Display-Name: Maep
 # Maemo icon maep.48.png
 XB-Maemo-Icon-26:
-
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
+ fAhkiAAAAAlwSFlzAAAUwwAAFMMBFXBNQgAAABl0RVh0U29mdHdhcmUAd3d3
+ Lmlua3NjYXBlLm9yZ5vuPBoAAAthSURBVGiB7VppcFvVFf7ek/S0S5ZkWbJl
+ WZaXxHZix2sSE5yYNiE4kIaEmiyE4HRooEO6zUBTpqWjATKdwBQmDG0zhBIo
+ LWQI0AKhOGSF0CSExHGT2MG75SWRJVuy9v29/kj9YlmyrCzAn36/dM8995zz
+ vfveuefeK+D/+G5B3CpDTU0mAUOkbeHzJdUUT6wXCKRagUCmZAD4vC673++2
+ BILewYDPc8ZiGX/l2DFT4Fb4vSkCGzduzxSLVdsyNHmrjMZqA18gJRgaiDI0
+ vNExeCI2MFGAz6RDxFGBYThgGMDnczL9/WfNNmvfB/bA2I4D7//myrdKoLHR
+ pNQV5P2zovie2/kCGeFyjsFMn0BP+DBs4a/ho8fAgJ7iiISQUEHJKYIe30MW
+ sQh8UomA38lcvNh8cMTSvf7AAZP9GyXQ2GiiMjT6XZXz73pIKtKQnb1fgsoV
+ wVBZipf234ZoNHgdjkkskD8BTm8OdBnz4XKNRNvbmv/K0MOP7ttnCqVqh5Oq
+ 4oYNzxRWzW/oqqxoWGiju4jzgY9QefcaKHRaECSJ873vIRTxpEwAYGAsrMaC
+ 5T+AzdGO8SEXOatweQXNSH4qlxne7+09mtJspESgqen5lXX1645naIzC5tGn
+ cczxByg0ehRk1bM6obAHg6NnroPAVRJzDCuh1GuQXZ2FnksnoBCUCpSqvJ/I
+ pFmt3d2HOm+awI8f2fn40mWb90DAkPssW9EfOAEACIRcqCp8gNVTSnPR0v1W
+ 3LufDC7vZRTpV0DIlwMAskoMcPp6ELSJyOycheukUp23q7P5xA0TaGp6fuXS
+ OzfvGWeGsNeyBY7IANsXDLuhVcyBQmoAAFBcEcIRLy6P/SdlAgBAEASM2kVs
+ W5mthkAbxFCrBXr9omUigbKlp2f6mZiWwIYNzxTWLVn7Ofgg91q2wBsdi9Ox
+ OC5iXl4jSOKqmSxVOdoHPr6ub2HM1Yvy/LXgcihWJpSJIdWBsLb7CZVqdiOf
+ Uu81mxN/EwkJNDaaqJr5DZ0ZmUbRuyNb4QgPJFJDIOSCVKSBRlFy1RjJg1yS
+ jY7B5pQJROkwKK4I2emVMXKhTAx/dBi0I4vkC2UPhoLZL9psx6JTx5OJjGoy
+ 9buMeZVpB0a3wxJsTxpA/8jJmHZBZj1LKFWc7XoT4Yg/Tl64sAQhaSu02oo0
+ g1G3K9HYOAKNjSZlRcXyhwa959Du+XhG55q04jhZWe59cbIsZRlkosyENvwh
+ Jy4N/CthX+26OtjGLiAvb/mm2lqTckYCen3h23K5lvx8/KUZgweA2dnL42TF
+ OQ3gcUUxsjvmbcP9i1+FVKhNaMdsOzWtD/1CHkRiDUeVnv/21L4YAhs3bs+s
+ rGpY1jl+DJeD52cMPkM+C2kSfZycxxWhOKeBbXM4fGSkFUEu1mHt4t0JSYTC
+ vmn9FC8ug81xGrl5dy2rq9seM40xBCQS1TaBQEa0+P8+Y/AAkJ42e9q+ya+R
+ Wl4AkryaL+QSPdbVvwaCiJ38HHVNUl/6GgkoSkZQIuW2aQlotHmr3AE7hgOt
+ KRFQSfOm7dMoStiPOUMe+53IRFngcYRsm0/JUJb3w6S+SpaUwu8fg1xmXDVZ
+ zp340dRkEuTnVxu6gsdAkARW176MLGUZzNYvIeCngc8VY+9nmxGZVLDp1VVJ
+ nZbl3oeDjnboVPNi5C7fFYQiXrZdU7gJfJ4kqS0OlwNvpANqdZWhvt4kmNhP
+ sDNAEGlb+AIZ0e0/gkUlj8GovR18SoZZ2cuQo66BRlGC75f/mjUopOTQKuYm
+ dVqc0wAhJYduSo632C/G2KkoWJ/UzgQ0RUJQlIyIMGlbJmTsDAhE0mqGAfyk
+ HdWzNiU0MDd3NbyBMbSZP8LSyt/GvcdTweOKcP/iv0Au1sXIHR4z+3tx6S9A
+ ccUpEcgtN+BSH0DxJNVxBPiUWE8zNCrnPAiS4Ca2AGBB0cNYUPRwSg4BIF1e
+ ECfzBmwArqbgubmrU7alylYjSofA4YrY1HdtBgQSrSc4hqKc+Lx+q1FmbESB
+ bumMmWcqOFwO/L5RUDwJm4evERDKlc5xGxRIvNDcSiSalVQRCjsYLk/Grsgs
+ AYZmQIcJBjewTz5+cSdae94BQZCoLHwAVQUPgM+T3nCQycAwDBjmWpv9Cn1+
+ l10kUCQNnqajaP7qKXx24UXYnJ2I0mEcPf88TnfsQSjiRTDsxsn2Xdj9SQO6
+ hg9/IwS4PAURDLrY0pqdAb/PbZFI0ovoSBQkN/E2wRMYQdvARwCAM51vgMvh
+ x6wLEwiGPWjtfQe5mtq4muhm4PM5QFHpCIU8lgkZOwPBoHeQAAfOEdu0BgSU
+ nC0JACQMfgID1i+x59M1LOFbgcOnXgZoDiJhz+CEjCUQ8HvO0Aww0mFOPBoA
+ xRUjS1meskO334Lmr55Cu3n/jcbMYtB2BleGRsAwQDjsZk8PWAKDnPFXfD4n
+ 4xtKfuI3x3BPnGymBS1Cp3zMkxBROoSDLc9A6l6CUNjFWCj3KxN9rOdjr5sC
+ fX1nzRnyItCRuJ0bi2L9Coj41/YVmcoyPLbyM+Rqbkuor1WUoCTn7psicOrS
+ bjg8g5C46mC1nRnsn3SuGvPobLa+D0QiFXpPX5jWGIfDx7z/VY5ioRqral8A
+ nyeFgJLH6fJ5UtxbuxNcDv+Ggx919eB0xx6IfPNARhRwO8z/mNwfQ8DjGtvh
+ 97sYZ4cXyTA3dzUylaVYu/hViAXpCEcD6Lp8JE6vetYmiIVqtt1u3o99x7fg
+ +MWdCIScMwYfCDnxyeknQTMRKOxrEQy7mVDQvmOyTky+vHTpiEeXXXZbUeHy
+ fIu9DcpsTULDfJ4UpcY1EFJpV42QXCgkBgzbWxGOXN1ZyURZWFHzLDgkD8DV
+ jfuhc9vh9A5jeKwV5/veBc1EoUkrZnUmwzr+NT489Tiszg4I/aVQW34Oc9+H
+ B0+d3PrnyXpxVdvQQPf6gvwRq+tKmIMFMz4kFrOz78Qs3VL0Xvkc/pADRm1d
+ zBrQazkeox8Me/Dvtj+ipestFOesgF5dBZqO4or9ArovH8G4d4jVVVu2wue3
+ 0PbRnri6O+HKu2Hj7tcWLmzabAmfRMXqutRZJMGeT1fD7u677nEyZwO0gyZ0
+ dr2x59QXj/xoan/C/BcODj9qNreMK+hy9H6V/FwoVfhDjuseI/AXI2P4SYza
+ zzndjiuPJtJJSGDfPlOo49Kn810ua8TXLoV92HrdzqeCSwquTz+iQqb5Ofjd
+ 1shl88c1bW2J7wymXYH273+q61zru2t4PDHTtd/K3CwJipd6TcSNqKDrfwFM
+ QMT09b23prX12a7pdJOeTnd2HOqUynReo2HRsrEOP+END0OZrU42ZFq0D+yH
+ xz/zQxAEiqHv+xPgUzE9nW/+6uzpJ15Ppj/j/UDH180nBCJlizp9diPpziL7
+ O09DN8eQeuQTdoYOwOkdTqojdzZAN/gcgl5XtKvzb/fOFDyQ4g1Nd+ehTpFQ
+ vZfPlz+oFNYI2o60IhAZQ3pO4nUiEbouH502Cwn9pdANP4M0+zrY7edd/V37
+ 5p1r+d3JhMo3QgAAenuP2o252S8ODfdmZ6jLy0hPLnn+0En4g3ao9GqQZPKC
+ rm/kC9ic1+4pCJAQ+8uhtf4SGdafIeIi6L7e9163DLUuuXDh6elr+im4oWvW
+ 2uUmpVaS/3Ze/l3LKEpG+LxjcIc7oJ4lhGGeAUqdGpwpm6LDLb9HW/cRCIOz
+ IXfdAZF7Ebi0AsGQmxk0Nx8ctfasb2v7hq9Zp6KubnumRKrcJpMbV2m0VQYe
+ T0YwDBClo/B5RxEMOxiGBrhcBcGn0sGAA4ZmEAy6GKvtrNnp6P8g6LfvOHv2
+ W77oToT6epOA4KRtoXiSapIr0vN4Ei2PK1cCQCDotIeCHkso7BkMh9xnKK77
+ lv3V4P/4rvFfKfVgw3PUirkAAAAASUVORK5CYII=

## maep 1.3.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.3.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.2$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 datarootdir = /opt
 datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
-VERSION = $${VERSION_PREFIX}1.3.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.2$${VERSION_SUFFIX}
 MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
@@ -30,7 +30,7 @@
 OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0-beta\" -DMAEMO_VERSION_MAJOR=5
+CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5
 LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   
 
 all: $(APP)

=== debian/changelog ===
maep (1.3.2) unstable; urgency=low

  * Fixed crash when wikipedia was disabled while balloon was visible
  * Fixed bug tracker link
  * Screensaver disabled only when map has focus
  * GPS framework simplified and reduced power consumption
  * Reduced "drag" threshold
	
 -- Till Harbaum <till@harbaum.org>  Wed, 27 Jan 2010 09:09:13 +0100

## maep 1.3.4

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
 
 APP = maep
-VERSION = $${VERSION_PREFIX}1.3.2$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}1.3.4$${VERSION_SUFFIX}
 
 all:
 	cd src && make

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = maep
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
 
 all:
 
@@ -23,7 +23,7 @@
 	install -d $(DESTDIR)$(datadir)/$(APP)
 	install diskcache_check.sh $(DESTDIR)$(datadir)/$(APP)
 
-install: install-maemo
+install: install-debian
 	install -d $(DESTDIR)$(datadir)/$(APP)
 	install -m 644 COPYING *.png $(DESTDIR)$(datadir)/$(APP)

=== src/Makefile ===
#
# Copyright (C) 2009-2010 Till Harbaum <till@harbaum.org>.
#
# This file is part of Maep.
#
# Maep is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Maep is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Maep.  If not, see <http://www.gnu.org/licenses/>.
#

APP = maep
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share
EXTRA_OBJS =  converter.o osm-gps-map.o osm-gps-map-osd-classic.o
VERSION = $${VERSION_PREFIX}1.3.4$${VERSION_SUFFIX}
MAEMO_VERSION_MAJOR = 

bindir = ${exec_prefix}/bin

OBJS = main.o menu.o gps.o misc.o icon.o about.o track.o net_io.o geonames.o graph.o hxm.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DDATADIR=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -g -O2   -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2   -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DORBIT2=1 -pthread -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include     -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DORBIT2=1 -pthread -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/bonobo-activation-2.0   -DENABLE_BROWSER_INTERFACE   -DUSE_LIBGPS
LDFLAGS =  -lcurl   -pthread -lgnomevfs-2 -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lxml2   -pthread -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lgconf-2 -lglib-2.0   -lbluetooth   -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lgio-2.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0   -pthread -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lgmodule-2.0 -lORBit-2 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0   -lgps   

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
		echo "Optifying binary"; \
		install -d $(DESTDIR)$(datadir)/$(APP); \
		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
	else \
		echo "Not Optifying binary"; \
		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
	fi

clean:
	rm -f maep *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

about.o: config.h misc.h icon.h about.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
gps.o: gps.h track.h osm-gps-map.h config.h
icon.o: icon.h misc.h
main.o: config.h menu.h track.h osm-gps-map.h osm-gps-map-osd-classic.h gps.h
menu.o: config.h about.h track.h osm-gps-map.h
misc.o: config.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
track.o: config.h track.h osm-gps-map.h converter.h misc.h

=== debian/changelog ===
maep (1.3.4) unstable; urgency=low

  * Started work on track graph (not yet finished/enabled)
  * Applied patch [#5562] Memory leak
  * HXM heart rate monitor support
  * Extended altitude and heart rate/cadence support for tracks
  * Fixed [#5604] Support for loading gpx files with multiple tracks
  * Fixed [#5515] Maep drains battery & slows down device by ...
  * Applied [#5329] This patch adds new "Double Pixel" functionality ...
  * Added Double-Pixel GUI to OSD
  * Fixed [#5101] Hardware +/- do not zoom when search bar is open
  * Implemented solution for [#5674] Updating the map storage in the device.
  * Fixed [#5608] Track loss after device shutdown
  * Only include positions < 100m accuracy into tracks
  * Fixed [#5703] Screensaver kicks in when driving

 -- Till Harbaum <till@harbaum.org>  Thu, 25 Mar 2010 21:27:49 +0100

maep (1.3.3) unstable; urgency=low

  * Release gps auto center when api is being used to change map center

 -- Till Harbaum <till@harbaum.org>  Fri, 29 Jan 2010 20:42:48 +0100

=== debian/control ===
Source: maep
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libgconf2-dev, mce-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libosso-dev, libosso-gnomevfs2-dev, liblocation-dev|libgpsmgr-dev, libsoup2.4-dev|libsoup2.2-dev, libcurl4-openssl-dev | libcurl3-openssl-dev, tablet-browser-interface-dev, libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2

Package: maep
Architecture: any
Depends: ${shlibs:Depends}
Description: Simple tile map
 Maep is a tile based map utility for services like openstreetmap, google maps
 and virtual earth. This is the same map renderer that's also being used by
 GPXView and OSM2Go. Maep is meant to easily be included into other programs
 and to become a universal map widget for the Maemo5 platform.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=1155
XB-Maemo-Display-Name: Maep
# No icon
